# Plutonium framework API: pu::ui::render::RendererInitOptions Struct Reference

pu::ui::render::RendererInitOptions Struct Reference

`#include <render_Renderer.hpp>`

## Public Member Functions

| RendererInitOptions (const u32 sdl_flags, const u32 sdl_render_flags, const u32 w=ScreenWidth, const u32 h=ScreenHeight)
void | UseTTF (const std::string &default_font_path="")
void | SetExtraDefaultFontSize (const u32 font_size)
void | UseAudio (const u32 audio_mixer_flags)
void | UseImage (const u32 sdl_img_flags)
void | UseRomfs ()

## Public Attributes

u32 | sdl_flags
u32 | sdl_render_flags
u32 | width
u32 | height
bool | init_ttf
std::vector< u32 > | extra_default_font_sizes
std::string | default_font_path
bool | init_mixer
u32 | audio_mixer_flags
bool | init_img
u32 | sdl_img_flags
bool | init_pl
bool | init_romfs

## Constructor & Destructor Documentation

## RendererInitOptions()

pu::ui::render::RendererInitOptions::RendererInitOptions | ( | const u32 | sdl_flags,
|  | const u32 | sdl_render_flags,
|  | const u32 | w = `ScreenWidth`,
|  | const u32 | h = `ScreenHeight`
| ) |  |

inline

## Member Function Documentation

## SetExtraDefaultFontSize()

void pu::ui::render::RendererInitOptions::SetExtraDefaultFontSize | ( | const u32 | font_size | ) |

inline

## UseAudio()

void pu::ui::render::RendererInitOptions::UseAudio | ( | const u32 | audio_mixer_flags | ) |

inline

## UseImage()

void pu::ui::render::RendererInitOptions::UseImage | ( | const u32 | sdl_img_flags | ) |

inline

## UseRomfs()

void pu::ui::render::RendererInitOptions::UseRomfs | ( |  | ) |

inline

## UseTTF()

void pu::ui::render::RendererInitOptions::UseTTF | ( | const std::string & | default_font_path = `""` | ) |

inline

## Member Data Documentation

## audio_mixer_flags

u32 pu::ui::render::RendererInitOptions::audio_mixer_flags

## default_font_path

std::string pu::ui::render::RendererInitOptions::default_font_path

## extra_default_font_sizes

std::vector<u32> pu::ui::render::RendererInitOptions::extra_default_font_sizes

## height

u32 pu::ui::render::RendererInitOptions::height

## init_img

bool pu::ui::render::RendererInitOptions::init_img

## init_mixer

bool pu::ui::render::RendererInitOptions::init_mixer

## init_pl

bool pu::ui::render::RendererInitOptions::init_pl

## init_romfs

bool pu::ui::render::RendererInitOptions::init_romfs

## init_ttf

bool pu::ui::render::RendererInitOptions::init_ttf

## sdl_flags

u32 pu::ui::render::RendererInitOptions::sdl_flags

## sdl_img_flags

u32 pu::ui::render::RendererInitOptions::sdl_img_flags

## sdl_render_flags

u32 pu::ui::render::RendererInitOptions::sdl_render_flags

## width

u32 pu::ui::render::RendererInitOptions::width

The documentation for this struct was generated from the following file:

- Plutonium/include/pu/ui/render/render_Renderer.hpp